## org.eclipse.m2m.qvt.oml.debug.core.vm.protocol
Class VMRequest

    java.lang.Object
      org.eclipse.m2m.qvt.oml.debug.core.vm.protocol.VMRequest

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  VMBreakpointRequest, VMConnectRequest, VMDetailRequest, VMResumeRequest, VMStackFrameRequest, VMStartRequest, VMStepIntoRequest, VMStepOverRequest, VMSuspendRequest, VMTerminateRequest, VMVariableRequest

    public abstract class VMRequest

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`protected` `VMRequest()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VMRequest

    protected VMRequest()

Copyright 2008 Borland Software Corporation and others. All Rights Reserved.